Bug 501108 - Internal Error with Package Manager
Internal Error with Package Manager
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
: 503693 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-16 10:07 EDT by Jerry Purvis
Modified: 2009-09-07 22:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-07 22:31:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Purvis 2009-05-16 10:07:59 EDT
Description of problem:

Error Type: <type 'exceptions.TypeError'>
Error Value: 'NoneType' object is unsubscriptable
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2316, in <module>
    main()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2313, in main
    backend.dispatcher(sys.argv[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 600, in dispatcher
    self.dispatch_command(args[0], args[1:])
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 508, in dispatch_command
    self.get_updates(filters)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1769, in get_updates
    self._check_init()
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 1996, in _check_init
    self.yumbase.repos.doSetup()
  File : /usr/lib/python2.5/site-packages/yum/repos.py, line 71, in doSetup
    self.ayum.plugins.run('postreposetup')
  File : /usr/lib/python2.5/site-packages/yum/plugins.py, line 178, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File : /usr/lib/yum-plugins/rpm-warm-cache.py, line 32, in postreposetup_hook
    cmd = commands[0]





Version-Release number of selected component (if applicable):


How reproducible:  This is happening while I am watching a movie, so I am assuming, that it is just the system trying to update, but it is not working.  It has happened twice in the last five minutes.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:  THi
Comment 1 Richard Hughes 2009-06-03 04:41:53 EDT
Can you try installing https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5750 and https://admin.fedoraproject.org/updates/F11/FEDORA-2009-5748 and then reboot please. If it fixes things, please report that as positive karma for the update. Thanks.
Comment 2 Richard Hughes 2009-06-03 04:42:47 EDT
*** Bug 503693 has been marked as a duplicate of this bug. ***
Comment 3 Steven M. Parrish 2009-07-05 08:06:43 EDT
Reporter,

Is this still an issue?  If no response in 30 days will close this report.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Steven M. Parrish 2009-09-07 22:31:49 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.